<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ApplyResourcePriorityNamespaceReq StructType
 * @subpackage Structs
 */
class ApplyResourcePriorityNamespaceReq extends AbstractStructBase
{
    /**
     * The namespace
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: namespace | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 10
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $namespace;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: namespace | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for ApplyResourcePriorityNamespaceReq
     * @uses ApplyResourcePriorityNamespaceReq::setNamespace()
     * @uses ApplyResourcePriorityNamespaceReq::setUuid()
     * @uses ApplyResourcePriorityNamespaceReq::setSequence()
     * @param string $namespace
     * @param string $uuid
     * @param int $sequence
     */
    public function __construct($namespace = null, $uuid = null, $sequence = null)
    {
        $this
            ->setNamespace($namespace)
            ->setUuid($uuid)
            ->setSequence($sequence);
    }
    /**
     * Get namespace value
     * @return string
     */
    public function getNamespace()
    {
        return isset($this->namespace) ? $this->namespace : null;
    }
    /**
     * Set namespace value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $namespace
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ApplyResourcePriorityNamespaceReq
     */
    public function setNamespace($namespace = null)
    {
        if (is_null($namespace) || (is_array($namespace) && empty($namespace))) {
            unset($this->namespace);
        } else {
            $this->namespace = $namespace;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ApplyResourcePriorityNamespaceReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ApplyResourcePriorityNamespaceReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
